Bug 1048914 - [abrt] mate-terminal: miUnionNonO(): mate-terminal killed by SIGABRT
Summary: [abrt] mate-terminal: miUnionNonO(): mate-terminal killed by SIGABRT
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-terminal
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5c7f69ca3a0929feb7e5d8a4235...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 13:16 UTC by jjonesperez
Modified: 2014-01-23 19:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-23 19:50:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.99 KB, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details
File: build_ids (3.24 KB, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details
File: cgroup (141 bytes, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details
File: core_backtrace (24.20 KB, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details
File: dso_list (8.84 KB, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details
File: environ (1.51 KB, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details
File: maps (43.27 KB, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details
File: open_fds (2.21 KB, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-01-06 13:16 UTC, jjonesperez
no flags Details

Description jjonesperez 2014-01-06 13:16:25 UTC
Description of problem:
Used gtk-chtheme

Version-Release number of selected component:
mate-terminal-1.6.1-11.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        mate-terminal
crash_function: miUnionNonO
executable:     /usr/bin/mate-terminal
kernel:         3.11.10-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Dec 18 18:31:51 Arrakis abrt-hook-ccpp[10818]: Saved core dump of pid 2596 (/usr/bin/mate-terminal) to /var/tmp/abrt/ccpp-2013-12-18-18:31:51-2596 (45043712 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 miUnionNonO at gdkregion-generic.c:1114
 #5 miRegionOp at gdkregion-generic.c:954
 #6 gdk_region_union at gdkregion-generic.c:1266
 #7 gdk_region_union_with_rect at gdkregion-generic.c:289
 #8 gtk_widget_size_allocate at gtkwidget.c:4131
 #9 gtk_image_menu_item_size_allocate at gtkimagemenuitem.c:521
 #10 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1160
 #11 _g_closure_invoke_va at gclosure.c:840
 #14 gtk_widget_size_allocate at gtkwidget.c:4122
 #15 gtk_menu_bar_size_allocate at gtkmenubar.c:439

Comment 1 jjonesperez 2014-01-06 13:16:31 UTC
Created attachment 846069 [details]
File: backtrace

Comment 2 jjonesperez 2014-01-06 13:16:33 UTC
Created attachment 846070 [details]
File: build_ids

Comment 3 jjonesperez 2014-01-06 13:16:37 UTC
Created attachment 846071 [details]
File: cgroup

Comment 4 jjonesperez 2014-01-06 13:16:40 UTC
Created attachment 846072 [details]
File: core_backtrace

Comment 5 jjonesperez 2014-01-06 13:16:42 UTC
Created attachment 846073 [details]
File: dso_list

Comment 6 jjonesperez 2014-01-06 13:16:43 UTC
Created attachment 846074 [details]
File: environ

Comment 7 jjonesperez 2014-01-06 13:16:45 UTC
Created attachment 846075 [details]
File: limits

Comment 8 jjonesperez 2014-01-06 13:16:48 UTC
Created attachment 846076 [details]
File: maps

Comment 9 jjonesperez 2014-01-06 13:16:49 UTC
Created attachment 846077 [details]
File: open_fds

Comment 10 jjonesperez 2014-01-06 13:16:52 UTC
Created attachment 846078 [details]
File: proc_pid_status

Comment 11 Wolfgang Ulbrich 2014-01-12 10:59:28 UTC
Can you describe a little more detailed what happend?
Did this issue occurs frequently ?
I can execute gtk-chtheme without any probs.

Comment 12 jjonesperez 2014-01-17 14:01:04 UTC
Sorry, I'm a bit new in this.

Every time I run emacs, I get a message:

** (emacs:25121): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

As this made reference to "adwaita," I tried to change the theme by using gtk-chtheme. And thus, the problem happened. It happens every time I use it.

As changing theme did not fix my emacs problem, I did not use gtk-chtheme again. Don't have any more info, sorry.

Comment 13 Wolfgang Ulbrich 2014-01-17 15:08:25 UTC
** (emacs:25121): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

This is only a warning you can still ignore this, some themes are based on Adwaita theme but they don't use g_resource files.
Those themes don't need gtk-fallback.css!
Switch to adwaita theme and this warning will gone, but pls use 'mate-appearence-properties' and not gtk-chtheme.
gtk-chtheme writes in ~gtkrc files and folders which can cause other probs in mate if the entries aren't correct.
So the issue only exists when you're using gtk-chtheme?

Comment 14 jjonesperez 2014-01-23 17:21:44 UTC
Ah! Yes, if I use mate-appearence-properties, I get to change the theme, AND fix the emacs warning, without having the terminal crashing. Fantastic!

And yes, so far, I haven't found any other programs causing the terminal to crash. Alles gut. :-)

Comment 15 jjonesperez 2014-01-23 17:22:02 UTC
Many thanks!

Comment 16 Wolfgang Ulbrich 2014-01-23 19:50:21 UTC
:)


Note You need to log in before you can comment on or make changes to this bug.